Subject: bug#69770: [PATCH] build: strengthen 16 bit float support checks

From: Paul Eggert <[email-masked]>
Date: Wed, 13 Mar 2024 22:59:36 -0700

On 2024-03-12 19:24, Grisha Levit wrote:
> - AC_COMPILE_IFELSE(
> + AC_RUN_IFELSE(

This sort of change would break cross-compilation, no?

How about leaving it AC_COMPILE_IFELSE, but ensuring that -O1 or better 
is used when the compiler supports -O1? That way we don't have to worry 
about running the program, because (with the "volatile") clang will 
error out.

Alternatively perhaps there's some way to check for the bug using 
preprocessor macros like __FLT16_MANT_DIG__, __FLT16_MAX_EXP__, 
__clang_major__, and __aarch64__. (This could be more fragile, though, 
as clang presumably will fix the bug eventually.)